export interface BlogPost {
  date: string;
  title: string;
  tags: string[];
  file: string;
  slug: string;
  fullSlug: string;
  markdown?: string;
  summary: string;
  html?: string;
  next?: Partial<BlogPost>;
  prev?: Partial<BlogPost>;
}

export interface BlogPostTag {
  name: string;
  count: number;
  posts: string[];
}

export type ArchiveDto = Record<
  string,
  Record<string, Record<string, string[]>>
>;
